diff --git a/electron_app/build/linux/after-install.tpl b/electron_app/build/linux/after-install.tpl
new file mode 100644
index 00000000..13f14ef1
--- /dev/null
+++ b/electron_app/build/linux/after-install.tpl
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Link to the binary
+ln -sf '/opt/${productFilename}/${executable}' '/usr/bin/${executable}'
+
+# SUID chrome-sandbox for Electron 5+
+# Remove this custom after-install.tpl once this change has been upstreamed
+# https://github.com/electron-userland/electron-builder/pull/4163
+chmod 4755 '/opt/${productFilename}/chrome-sandbox' || true
+
+update-mime-database /usr/share/mime || true
+update-desktop-database /usr/share/applications || true
diff --git a/package.json b/package.json
index 8ea68b02..99d1ac03 100644
--- a/package.json
+++ b/package.json
@@ -175,6 +175,9 @@
         "StartupWMClass": "riot"
       }
     },
+    "deb": {
+      "afterInstall": "electron_app/build/linux/after-install.tpl"
+    },
     "mac": {
       "category": "public.app-category.social-networking"
     },